Bug 301631 - NetworkManager goes into loop when trying to associate with 40bit WEP access point (gnome-keyring funnies?)
NetworkManager goes into loop when trying to associate with 40bit WEP access ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-09-22 09:21 EDT by Jesse Keating
Modified: 2013-01-09 21:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 00:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-22 09:21:11 EDT
When I try to connect to a 40bit WEP point (10 char passphrase) if I don't have
a keyring yet I'm prompted to supply a passphrase for a new keyring.  If I opt
out (deny) I get brought back to the access point passphrase box, so I'm forced
to use a keyring (another bug that I'll be filing).

However if I create a keyring, I get prompted almost immediately for the keyring
passphrase again, and then NM goes into a loop of trying to configure the device:

Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto EamonsHouse' has security, but secrets are required.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto EamonsHouse' has security, but secrets are required.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Sep 22 09:16:39 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...

over and over and over again in the messages log.
Comment 1 Dan Williams 2007-09-25 00:10:21 EDT
One last s/13/10/ found.  Should work for 40-bit WEP now in svn r2868 and later.

Note You need to log in before you can comment on or make changes to this bug.